Message-quoting in forums module broken

2011-11-27 22:13 - Mischa The Evil

Status: Closed Start date: 2011-11-27

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Forums Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution: Fixed Affected version:  

Description

After redmine.org got an update (I believe somewhere in the past weekend) and I started triaging/supporting again today, I first

noticed that the message-quoting functionality (both for topics and messages actually) in the forums module is broken. The buttons

are rendered correctly but after pressing it, nothing happens.

At first in the understanding that this might be an issue on r.o only, I tried to reproduce this behavior on my Redmine test-box

(currently) running source:/trunk@7939 and found out that this is actually a defect in, at least, current Redmine trunk.

The request is logged without errors (at least in my understanding) as:

Processing MessagesController#quote (for xxx.xxx.xxx.xxx at 2011-11-27 21:14:20) [POST]

  Parameters: {"board_id"=>"1", "action"=>"quote", "authenticity_token"=>"<token>", "id"=>"2", "co

ntroller"=>"messages"}

Completed in 12ms (View: 1, DB: 1) | 200 OK [http://host.domain.tld/boards/1/topics/quote/2]

 I already tried to see if there were recent changes that had the possible impact to result in this broken functionality, like routes

changes, but couldn't find anything.

FTR, the quoting in the issues module works fine.

Environment:

Redmine: source:/trunk@7939

Ruby: 1.8.7 [x86_64-linux] (REE 1.8.7-2011.03)

RubyGems: 1.3.7

Rack: 1.1.2

Rails: 2.3.14

MySQL: 5.1.41

Browser: Mozilla Firefox 7.0.1

Please let me know if more information is required.

Associated revisions

Revision 7961 - 2011-11-27 22:30 - Jean-Philippe Lang

Update MessagesController#quote to match the input id changed in r7682 (#9672).

Revision 7962 - 2011-11-27 22:37 - Jean-Philippe Lang

Adds test for r7961 fix (#9672).

History

#1 - 2011-11-27 22:38 - Jean-Philippe Lang

- Status changed from New to Resolved

- Resolution set to Fixed

Fixed in r7961, r7962.

#2 - 2011-11-27 22:42 - Jean-Philippe Lang
https://www.redmine.org/projects/redmine/repository/svn/revisions/7939/entry/trunk
https://www.redmine.org/projects/redmine/repository/svn/revisions/7939/entry/trunk
https://www.redmine.org/projects/redmine/repository/svn/revisions/7961
https://www.redmine.org/projects/redmine/repository/svn/revisions/7962


- Status changed from Resolved to Closed

- Assignee set to Jean-Philippe Lang

1.2-stable is not affected.

#3 - 2011-11-27 22:47 - Mischa The Evil

That's fast... ;) I now understand what was wrong, thus educational too ;)

#4 - 2011-11-28 09:17 - Etienne Massip

- Target version set to 1.3.0
